resources:
    App\Entity\RemoteCalendarRule:
        processor: App\State\Processor\RemoteCalendarRuleProcessor
        input: App\Dto\Input\RemoteCalendarRuleInput
        output: App\Dto\Output\RemoteCalendarRuleOutput
        normalizationContext:
            groups: ['default', 'remote-calendar-rule:read']
        denormalizationContext:
            groups: ['remote-calendar-rule:write']
        operations:
            ApiPlatform\Metadata\GetCollection:
                provider: App\State\Provider\RemoteCalendarRuleProvider
                filters:
                    - 'api_platform.filter.remote_calendar_rule.order'
                    - 'api_platform.filter.remote_calendar_rule.search'

            ApiPlatform\Metadata\Get:
                provider: App\State\Provider\RemoteCalendarRuleProvider
            ApiPlatform\Metadata\Put:
                provider: App\State\Provider\RemoteCalendarRuleProvider
            ApiPlatform\Metadata\Patch:
                provider: App\State\Provider\RemoteCalendarRuleProvider
            ApiPlatform\Metadata\Post: ~
            ApiPlatform\Metadata\Delete: ~

properties:
    App\Entity\RemoteCalendarRule:
        id:
            identifier: false
        uuid:
            identifier: true